package com.oracle.webservices.internal.api.databinding;

import javax.xml.ws.WebServiceFeature;
import org.xml.sax.EntityResolver;
import javax.xml.transform.Source;
import java.net.URL;
import javax.xml.namespace.QName;
import com.oracle.webservices.internal.api.message.MessageContext;
import java.lang.reflect.Method;

public interface Databinding
{
    public abstract JavaCallInfo createJavaCallInfo(Method p0, Object[] p1);
    
    public abstract MessageContext serializeRequest(JavaCallInfo p0);
    
    public abstract JavaCallInfo deserializeResponse(MessageContext p0, JavaCallInfo p1);
    
    public abstract JavaCallInfo deserializeRequest(MessageContext p0);
    
    public abstract MessageContext serializeResponse(JavaCallInfo p0);
    
    public interface Builder
    {
        public abstract Databinding.Builder targetNamespace(String p0);
        
        public abstract Databinding.Builder serviceName(QName p0);
        
        public abstract Databinding.Builder portName(QName p0);
        
        @Deprecated
        public abstract Databinding.Builder wsdlURL(URL p0);
        
        @Deprecated
        public abstract Databinding.Builder wsdlSource(Source p0);
        
        @Deprecated
        public abstract Databinding.Builder entityResolver(EntityResolver p0);
        
        public abstract Databinding.Builder classLoader(ClassLoader p0);
        
        public abstract Databinding.Builder feature(WebServiceFeature... p0);
        
        public abstract Databinding.Builder property(String p0, Object p1);
        
        public abstract Databinding build();
        
        public abstract WSDLGenerator createWSDLGenerator();
    }
}
